#
# Conditional build:
%bcond_without	gui		# don't build gui examples (require qt4)
#
Summary:	Disposable Soft Synth Interface specification
Summary(pl.UTF-8):	Specyfikacja Disposable Soft Synth Interface
Name:		dssi
Version:	1.1.1
Release:	2
License:	LGPL v2.1
Group:		Development/Libraries
Source0:	http://downloads.sourceforge.net/dssi/%{name}-%{version}.tar.gz
# Source0-md5:	619ab73c883b02dc37ddb37001591f8b
Patch0:		%{name}-lib64.patch
Patch1:		%{name}-libx32.patch
URL:		http://dssi.sourceforge.net/
%if %{with gui}
BuildRequires:	QtCore-devel >= 4.0.1
BuildRequires:	QtGui-devel >= 4.0.1
BuildRequires:	qt4-build >= 4.0.1
%endif
BuildRequires:	alsa-lib-devel >= 0.9
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	jack-audio-connection-kit-devel >= 0.99.14
BuildRequires:	ladspa-devel >= 1.0
BuildRequires:	liblo-devel >= 0.12
BuildRequires:	libsamplerate-devel
BuildRequires:	libsndfile-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	xorg-lib-libX11-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DSSI (pronounced "dizzy") is an API for audio plugins, with particular
application for software synthesis plugins with native user
interfaces. DSSI is an open specification developed for use in Linux
audio applications, although portable to other platforms. It may be
thought of as LADSPA-for-instruments, or something comparable to VSTi.

DSSI consists of a C language API for use by plugins and hosts, based
on the LADSPA API, and an OSC (Open Sound Control) API for use in user
interface to host communications. The DSSI specification consists of
an RFC which describes the background for the proposal and defines the
OSC part of the specification, and a documented header file which
defines the C API.

%description -l pl.UTF-8
DSSI (wymawiane "dizzy") to API dla wtyczek dźwiękowych z
zastosowaniem szczególnie dla wtyczek syntezy programowej z natywnymi
interfejsami użytkownika. DSSI to otwarta specyfikacja stworzona do
używania w linuksowych aplikacjach dźwiękowych, ale przenośna na inne
platformy. Można ją określić jako LADSPA dla instrumentów lub coś
porównywalnego do VSTi.

DSSI składa się z API języka C do użytku przez wtyczki i hosty, oparte
o API LADSPA oraz API OSC (Open Sound Control) do użytku w
interfejsach użytkownika do komunikacji z hostem. Specyfikacja DSSI
składa się z RFC opisującego tło propozycji i definiującego część OSC
specyfikacji oraz udokumentowanego pliku nagłówkowego definiującego
API C.

%package devel
Summary:	DSSI development files
Summary(pl.UTF-8):	Pliki nagłówkowe DSSI
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	alsa-lib-devel >= 0.9
Requires:	ladspa-devel >= 1.0
Obsoletes:	dssi < 1.0.0

%description devel
DSSI development files.

%description devel -l pl.UTF-8
Pliki nagłówkowe DSSI.

%package host-jack
Summary:	A simple JACK/ALSA-sequencer plugin host
Summary(pl.UTF-8):	Prosty host wtyczek sekwencera JACK/ALSA
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}
Requires:	liblo >= 0.12

%description host-jack
A simple JACK/ALSA-sequencer plugin host.

%description host-jack -l pl.UTF-8
Prosty host wtyczek sekwencera JACK/ALSA.

%package examples
Summary:	Example DSSI plugins
Summary(pl.UTF-8):	Przykładowe wtyczki DSSI
Group:		Applications/Sound
Requires:	%{name} = %{version}-%{release}

%description examples
Example DSSI plugins.

%description examples -l pl.UTF-8
Przykładowe wtyczki DSSI

%prep
%setup -q
%if "%{_lib}" == "lib64"
%patch0 -p1
%endif
%if "%{_lib}" == "libx32"
%patch1 -p1
%endif

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}

%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/dssi/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README doc/TODO doc/*.txt
%attr(755,root,root) %{_bindir}/dssi_analyse_plugin
%attr(755,root,root) %{_bindir}/dssi_list_plugins
%attr(755,root,root) %{_bindir}/dssi_osc_send
%attr(755,root,root) %{_bindir}/dssi_osc_update
%dir %{_libdir}/dssi
%{_mandir}/man1/dssi*.1*

%files devel
%defattr(644,root,root,755)
%{_includedir}/dssi.h
%{_pkgconfigdir}/dssi.pc

%files host-jack
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/jack-dssi-host
%{_mandir}/man1/jack-dssi-host.1*

%files examples
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/karplong
%attr(755,root,root) %{_bindir}/less_trivial_synth
%attr(755,root,root) %{_bindir}/trivial_sampler
%attr(755,root,root) %{_bindir}/trivial_synth
%attr(755,root,root) %{_libdir}/dssi/*.so
%if %{with gui}
%dir %{_libdir}/dssi/less_trivial_synth
%attr(755,root,root) %{_libdir}/dssi/less_trivial_synth/*_qt
%dir %{_libdir}/dssi/trivial_sampler
%attr(755,root,root) %{_libdir}/dssi/trivial_sampler/*_qt
%endif
%changelog
* Tue Feb 24 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/dssi.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 903ba73
- x32 rebuild
- release 2 (by relup.sh)

* Thu Dec 25 2014 Jan Rękorajski <baggins@pld-linux.org> 074104e
- add gui bcond to build without qt4 BR
- add libx32 patch for x32 arch

* Thu Oct 13 2011 Jakub Bogusz <qboosh@pld-linux.org> 7a58f2d
- updated to 1.1.1

* Sun Oct 24 2010 Jakub Bogusz <qboosh@pld-linux.org> 91c2ee8
- updated to 1.1.0
- removed obsolete qt_test patch; uses Qt 4 now

* Tue Aug 24 2010 hawk <hawk@pld-linux.org> da1f7d5
- release 3

* Tue Dec 15 2009 Jacek Konieczny <jajcus@pld-linux.org> 74eb3d4
- default DSSI_PATH fixed for the jack host on 64-bit systems
- Release: 2

* Sun Dec 06 2009 sparky <sparky@pld-linux.org> 1ab873f
- leave __cxx defined, c++ is used now

* Sun Dec 06 2009 Jacek Konieczny <jajcus@pld-linux.org> dbae688
- autotools BRs

* Sun Dec 06 2009 Jacek Konieczny <jajcus@pld-linux.org> a72f401
- broken configure test for qt library removed

* Sun Dec 06 2009 Jacek Konieczny <jajcus@pld-linux.org> 6558f0a
- qt-devel dependency fixed

* Sun Dec 06 2009 Jacek Konieczny <jajcus@pld-linux.org> 4f4c129
- Version: 1.0.0
- 'devel' package separated (note: dependent packages must be updated)
- plugin lib dir added to the main package (it is needed by any new plugin)
- examples subpackage (DSSI without any plugins is quite useless)
- name-ver-rel dependencies for subpackages. Not quite needed at the moment,
  but may help a lot in future.

* Mon Nov 30 2009 sparky <sparky@pld-linux.org> 29a653b
- BR: pkgconfig

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 57458f0
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> dab913f
- converted to UTF-8

* Tue Dec 26 2006 Jakub Bogusz <qboosh@pld-linux.org> 0ae4bdb
- fixed packaging thinko by separating -host-jack
  (devel shouldn't depend on jack; see README)
- release 2

* Sat Nov 26 2005 Jakub Bogusz <qboosh@pld-linux.org> c3db29b
- pl

* Fri Nov 25 2005 Paweł Sikora <pluto@pld-linux.org> 14e405f
- release 1.

* Fri Nov 25 2005 Paweł Sikora <pluto@pld-linux.org> 65b645a
- Disposable Soft Synth Interface.

